import React from 'react'
import { Button } from '@pubsweet/ui'
import styled from 'styled-components'

const ErrorPage = ({ location: { state }, history }) => (
  <Root>
    <Title>{state}</Title>
    <Button onClick={() => history.push('/')} primary>
      Go to Dashboard
    </Button>
  </Root>
)

export default ErrorPage

// #region styles
const Root = styled.div`
  margin: 0 auto;
  text-align: center;
  width: 70vw;
  color: ${({ theme }) => theme.colorText};

  a {
    color: ${({ theme }) => theme.colorText};
  }
`

const Title = styled.div`
  font-size: ${({ theme }) => theme.fontSizeHeading5};
  font-family: ${({ theme }) => theme.fontHeading};
  color: ${({ theme }) => theme.colorPrimary};
  margin: 10px auto;
`
// #endregion
